package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生成管控车间计划
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_workstop_plan")
public class ProductionWorkstopPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间id", position =7 )
    private String locationId;
    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称", position =1 )
    private String locationName;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称", position =2 )
    private String produceName;

    /**
     * 计划量
     */
    @ApiModelProperty(value = "计划量", position = 3)
    private String planProduction;

    /**
     * 实际完成量
     */
    @ApiModelProperty(value = "实际完成量", position =4 )
    private String actualProduction;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position =6 )
    private String orgId;

    /**
     * 单位成本
     */
    @ApiModelProperty(value = "单位成本",position = 8)
    private String unitCost;

    /**
     * 均值
     */
    @ApiModelProperty(value = "均值",position = 9)
    private String avgValue;


}
