package vip.xiaonuo.quality.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityReagent;
import vip.xiaonuo.quality.param.QualityReagentParam;
import vip.xiaonuo.quality.service.IQualityReagentService;
import vip.xiaonuo.risk.entity.RiskContract;
import vip.xiaonuo.risk.param.RiskContractParam;

import java.util.List;

/**
 * <p>
 * 质量试剂使用情况 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@RestController
@Api(tags = "质量试剂使用情况")
@ApiSupport(author = "wang", order = 1)
@Validated
public class QualityReagentController {

    @Autowired
    private IQualityReagentService reagentService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("质量试剂使用情况分析")
    @PostMapping("/quality-reagent/getList")
    public CommonResult<List<QualityReagent>> getList(@RequestBody QualityReagentParam reagentParam) {
        return CommonResult.data(reagentService.getList(reagentParam));
    }
}
