package vip.xiaonuo.sale.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionConsume;
import vip.xiaonuo.production.param.ProductionConsumeParam;
import vip.xiaonuo.sale.entity.SaleCost;
import vip.xiaonuo.sale.param.SaleCostParam;
import vip.xiaonuo.sale.service.ISaleCostService;

import java.util.List;

/**
 * <p>
 * 销售费用 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@RestController
@Api(tags = "销售费用")
@ApiSupport(author = "wang", order = 1)
@Validated
public class SaleCostController {

    @Autowired
    private ISaleCostService costService;

    @PostMapping("/sale-cost/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("销售费用列表")
    public CommonResult<List<SaleCost>> getList(@RequestBody SaleCostParam costParam) {
        return CommonResult.data(costService.getList(costParam));
    }
}
