package vip.xiaonuo.sale.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.sale.entity.SaleDeliver;
import vip.xiaonuo.sale.entity.vo.SaleInvoiceVo;
import vip.xiaonuo.sale.param.SaleDeliverParam;
import vip.xiaonuo.sale.param.SaleInvoiceParam;
import vip.xiaonuo.sale.service.ISaleInvoiceService;

import java.util.List;

/**
 * <p>
 * 销售发票 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@RestController
@Api(tags = "销售发票")
@ApiSupport(author = "wang", order = 1)
@Validated
public class SaleInvoiceController {

    @Autowired
    private ISaleInvoiceService invoiceService;

    @PostMapping("/sale-invoice/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("销售发票列表")
    public CommonResult<List<SaleInvoiceVo>> getList(@RequestBody SaleInvoiceParam invoiceParam) {
        return CommonResult.data(invoiceService.getList(invoiceParam));
    }
}
