package vip.xiaonuo.sale.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 销售指标
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sale_target")
public class SaleTarget implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 完成率
     */
    @ApiModelProperty(value = "完成率",position =1 )
    private String completeRate;

    /**
     * 拜访客户次数
     */
    @ApiModelProperty(value = "拜访客户次数",position =2 )
    private String visitNumber;

    /**
     * 合同金额
     */
    @ApiModelProperty(value = "合同金额",position =3 )
    private String contractMoney;

    /**
     * 销售订单金额
     */
    @ApiModelProperty(value = "销售订单金额",position = 4)
    private String saleOrderMoney;

    /**
     * 销售发货金额
     */
    @ApiModelProperty(value = "销售发货金额",position = 5)
    private String saleDeliverMoney;

    /**
     * 销售发票金额
     */
    @ApiModelProperty(value = "销售发票金额",position = 6)
    private String saleInvoiceMoney;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =8 )
    private String orgId;


}
