package vip.xiaonuo.warehouse.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 仓库入库表
 * </p>
 *
 * @author author
 * @since 2024-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("warehouse_incom_stock")
public class WarehouseIncomStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 原材料
     */
    @ApiModelProperty(value = "原材料", position = 1)
    private String material;

    /**
     * 成品
     */
    @ApiModelProperty(value = "成品", position = 2)
    private String finishProduce;

    /**
     * 半成品
     */
    @ApiModelProperty(value = "半成品", position = 3)
    private String halfProduce;

    /**
     * 低值易耗品
     */
    @ApiModelProperty(value = "低值易耗品", position = 4)
    private String lowValue;

    /**
     * 包材
     */
    @ApiModelProperty(value = "包材", position = 5)
    private String packageMaterial;

    /**
     * 羊毛脂
     */
    @ApiModelProperty(value = "羊毛脂", position = 6)
    private String lanolin;

    /**
     * 鱼油
     */
    @ApiModelProperty(value = "鱼油", position = 7)
    private String fishOil;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 8)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;

    /**
     * 羊毛脂供应商
     */
    @ApiModelProperty(value = "羊毛脂供应商", position = 10)
    private String lanolinSupplier;

    /**
     * 鱼油供应商
     */
    @ApiModelProperty(value = "鱼油供应商", position = 11)
    private String fishOilSupplier;

//    /**
//     * 原材料入库金额
//     */
//    @ApiModelProperty(value = "原材料入库金额", position = 12)
//    private String materialMoney;
//
//    /**
//     * 成品入款金额
//     */
//    @ApiModelProperty(value = "成品入款金额", position = 13)
//    private String finishProduceMoney;
//
//    /**
//     * 半成品入库金额
//     */
//    @ApiModelProperty(value = "半成品入库金额", position = 14)
//    private String halfProduceMoney;
//
//    /**
//     * 低值易耗品入库金额
//     */
//    @ApiModelProperty(value = "低值易耗品入库金额", position = 15)
//    private String lowValueMoney;
//
//    /**
//     * 包材入库金额
//     */
//    @ApiModelProperty(value = "包材入库金额", position = 16)
//    private String packageMaterialMoney;
//
//    /**
//     * 羊毛脂入库金额
//     */
//    @ApiModelProperty(value = "羊毛脂入库金额", position = 17)
//    private String lanolinMoney;
//
//
//    /**
//     * 鱼油入库金额
//     */
//    @ApiModelProperty(value = "鱼油入库金额", position = 18)
//    private String fishOilMoney;
}
